//-----------Top Path-----------
  //路徑鈕 註冊的function
function main_PathMqttToOpcua_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new MqttToOpcuaSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
//-----------Left List-----------
function main_MqttToOpcua_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathMqttToOpcua_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/MqttToOpcua/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttToOpcua/html/UpdatePage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttToOpcua/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttToOpcua/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new MqttToOpcuaUpdatePage();
	Class.Initialization();
	Class = null;
}
//-----------Center-----------
//__________MQTT / OPC UA 轉換傳輸__________
  //第一頁
function main_MqttToOpcuaShowNextPage_click()
{
	var Class = new MqttToOpcuaFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_MqttToOpcuaShowPreviousPage_click()
{
	var Class = new MqttToOpcuaFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_MqttToOpcuaChangeAllCheckbox_click(that)
{
	var Class = new MqttToOpcuaFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_MqttToOpcuaChangeCheckbox_click(that)
{
	var Class = new MqttToOpcuaFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
function main_MqttToOpcuaSettingButton_click(that)
{
	var Class = new MqttToOpcuaFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_MqttToOpcuaSaveButton_click(that)
{
	var Class = new MqttToOpcuaFirstPage();
	Class.SaveButton(that);
	Class = null;
}
  //第二頁
function main_MqttToOpcuaConfirmButton_click()
{
	var Class = new MqttToOpcuaSecondPage();
	Class.ConfirmButton();
	Class = null;
}
function main_MqttToOpcuaNoConfirmButton_click()
{
	var Class = new MqttToOpcuaSecondPage();
	Class.NoConfirmButton();
	Class = null;
}